# 전자서명 참여 페이지 조회 API

전자서명 참여 페이지를 조회할 수 있도록 API를 제공합니다.

<br>

## `GET` kit-api/v1/signatures/\[signature uuid]/link

Method: GET\
Endpoint:

* kit-api/v1/signatures/\[signature uuid]/link?participantUuid=\[participant uuid]
* kit-api/v1/signatures/\[signature uuid]/link?facilitatorUuid=\[facilitator uuid]<br>

**참고**: `participantUuid` 또는 `facilitatorUuid` 중 하나는 반드시 제공해야 합니다.

<br>

## Request Query

| Key             | Type   | Required | Description                                                 |
| --------------- | ------ | -------- | ----------------------------------------------------------- |
| participantUuid | string | 조건부 필수\* | 전자서명 참여자 UUID                                               |
| facilitatorUuid | string | 조건부 필수\* | 대면서명 진행자 UUID                                               |
| defaultValue    | string | no       | 인증 입력란에 채워둘 기본값 (인증 수단이 핸드폰일 경우 '-' 포함 / ex. 010-0000-0000) |

<br>

## Example

```
...kit-api/v1/signatures/57139f5c-37d0-4c30-bdb6-ef6106040756/link?participantUuid=e65664ca-bac4-4f94-81bc-bc1a2436543b
```

```
...kit-api/v1/signatures/57139f5c-37d0-4c30-bdb6-ef6106040756/link?facilitatorUuid=57d8f64f-3dbb-4b70-b4f7-e95a9fd1f96e
```

<br>

## Response

```json
{
  "ok": true, // api 성공 여부
  "message": undefined, // Error가 존재하면 message(string)로 전달
  "data": {
    "link": "https://www.prix.im/..." // 전자서명 참여 페이지 링크
  }
}
```

<br>

| Status Code | Error Code                                | Description                   |
| ----------- | ----------------------------------------- | ----------------------------- |
| 400         | INVALID\_SIGNATURE\_PARTICIPANT\_UUID     | 올바른 서명 참여자 UUID가 아닌 경우        |
| 400         | SIGNATURE\_INVALID\_FACILITATOR\_UUID     | 올바른 서명 참여자 UUID가 아닌 경우 (대면서명) |
| 400         | SIGNATURE\_INVALID\_DEFAULT\_VALUE\_INPUT | 인증수단에 맞는 올바른 인증값이 아닌 경우       |

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-kit.prix.im/signature/participant-link.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
